Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryTransientModifierRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryTransientModifierRule

- The field is marked as transient, but the class isn't Serializable, so marking it as transient should have no effect.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority